package com.mall.auth.service;

import com.mall.common.domain.UserInfo;
import com.mall.common.domain.request.LoginRequest;
import com.mall.common.domain.vo.LoginVo;
import com.mall.common.domain.vo.UserInfoVo;
import com.mall.common.result.Result;

public interface AuthService {
    Result login(LoginVo loginVo);

    Result sendCode(LoginRequest loginRequest);

    Result phoneLogin(LoginRequest loginRequest);

    Result phoneRegister(UserInfoVo userInfo);

    Result<UserInfo> userInfo();
}
