package com.mall.common.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author: lzh
 * @CreateTime: 2024-04-22  19:45
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserInfoVo {
    /**
     * id
     */
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 盐
     */
    private String salt;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 头像
     */
    private String header;
    /**
     * 性别
     */
    private Integer gender;
    /**
     * 生日
     */
    private Date birthday;
    /**
     * 城市
     */
    private String city;
    /**
     * 角色
     */
    private String role;
    /**
     * 个性签名
     */
    private String sign;
    /**
     * 来源
     */
    private Integer sourceType;
    /**
     * 积分
     */
    private int integration;
    /**
     * 用户状态
     */
    private Integer status;
    /**
     * 身份证正面
     */
    private String identityFront;
    /**
     * 身份证反面
     */
    private String identityReverse;
    /**
     * 身份证视频认证
     */
    private String identityAuthentication;
    /**
     * 审核状态
     */
    private Integer checkState;
    /**
     * 注册时间
     */
    private Date createTime;
}
