package com.mall.server.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 *商品Spu
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("pms_spu")
public class SpuEntity {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long  id;
    /**
     * 商品名称
     */
    private String  name;
    /**
     *所属分类id
     */
    private Long  categoryId;
    /**
     *品牌id
     */
    private Long  brandId;
    /**
     *上架状态[0 - 下架，1 - 上架]
     */
    private Integer  publishStatus;
    /**
     *创建时间
     */
    private Date createTime;
    /**
     *更新时间
     */
    private Date  updateTime;
}
