package com.mall.auth.feign;

import com.mall.common.domain.UserInfo;
import com.mall.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: lzh
 * @CreateTime: 2024-04-22  17:16
 * @Description: TODO
 * @Version: 1.0
 */
@FeignClient(name = "czk-user")
public interface UserServiceFeign {
    @PostMapping("findLogin/{username}/{password}")
    public Result<UserInfo> findLogin(@PathVariable String username,@PathVariable String password);

    @GetMapping("findPhone/{phone}")
    public Result<UserInfo> findPhone(@PathVariable("phone") String phone);

    @PostMapping("register")
    public Result<UserInfo> register(@RequestBody UserInfo userInfo);
}