package com.mall.server.controller;
import com.mall.common.domain.request.SpikesRequest;
import com.mall.common.result.Result;
import com.mall.server.service.SpikesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
/**
 *秒杀controller
 */
@RestController
@RequestMapping("spikes")
public class SpikesController {

    @Autowired
    private SpikesService spikesService;

    /**
     * 添加秒杀场次
     * @param spikesRequest
     * @return
     */
    @PostMapping("add")
    public Result add(@RequestBody SpikesRequest spikesRequest){
        return spikesService.add(spikesRequest);
    }

}
