package com.mall.server.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 *秒杀表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("pms_spikes")
public class SpikesEntity {
    /**
     * 秒杀id
     */
    @TableId(type = IdType.AUTO)
    private Long spikesId;
    /**
     * 商品主图
     */
    private String spikesImg;
    /**
     * 轮播图
     */
    private String spikesManyImg;
    /**
     * 商品标题
     */
    private String spikesTitle;
    /**
     * 秒杀活动简介
     */
    private String spikesThings;
    /**
     * 单位
     */
    private String spikesUnit;
    /**
     * 当天参与活动次数
     */
    private Integer spikesNum;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 状态(0已开启1为开启)
     */
    private Integer spikesState;
    /**
     * 0未删除1已删除
     */
    private Integer isDelete;
}
